[package]
name = "registrar"
version = "0.1.0"
edition = "2021"
license = "MIT"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[features]
web = ["actix-web", "futures"]

[dependencies]
actix-web = { version = "4", optional = true }
addr = "0.15"
anyhow = "1"
common = { git = "https://gitlab.com/speedrun-ctf/ctfms.git" }
env_logger = "0.9"
futures = { version = "0.3", optional = true }
hex = "0.4"
log = "0.4"
openssl = "0.10"
rand = "0.8"
rand_chacha = "0.3"
tokio = { version = "1.17", features = ["full"] }
trust-dns-resolver = "0.21"
zeroize = "1.5"
